[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Getting dh_install to do what we need

On 11-12-08 at 03:02pm, Russ Allbery wrote:
> Gergely Nagy <algernon@madhouse-project.org> writes:
> > Apart from the reason explained in debhelper's git history, I can 
> > offer another: variable substitution would be an incompatible 
> > change, as it's perfectly legit to have '/usr/bin/${oh hai I broke 
> > your system}' or '/usr/lib/${DEB_HOST_MULTIARCH}' files.
> > So, we'd need a flag to turn on variable substitution. Perhaps a 
> > compat level would be enough - I don't know, nor do I care.
> This would be a similar change to the change of supporting wildcards 
> in all debhelper files, which was done with a compat level change.

Well, in a way this one is too: compat level 9 is not yet finalized, as 
I understand it.  Just prematurely gotten into use due to its upcoming 
ability to handle multiarch.

 - Jonas

 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private

Attachment: signature.asc
Description: Digital signature

Reply to: